NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.ManualSweepBetweenSelection Class Reference

Builder for creating Manual Hex Mesh - Face Dependency type. More...

Inheritance diagram for NXOpen.CAE.ManualSweepBetweenSelection:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe
NXOpen.CAE.ManualSweepBetweenListItemSelection 
CreateNewListItem (NXOpen.CAE.CAEEdge tMasterEdge, NXOpen.CAE.CAEEdge tTargetEdge, bool fFlipDirection)
 The list item More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAE.ManualSweepBetweenListItemSelectionList 
LoopList [get]
 Returns the loop list More...
 
unsafe NXOpen.CAE.SelectCAEFace MasterFace [get]
 Returns the master face More...
 
unsafe NXOpen.CAE.SelectCAEFace TargetFace [get]
 Returns the target face More...
 
unsafe NXOpen.CAE.SelectCAEFaceList WallFaceSelection [get]
 Returns the Wall face selection More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for creating Manual Hex Mesh - Face Dependency type.

To create a new instance of this class, use NXOpen.CAE.SweepBetweenMeshBuilder.ManualSweepBetween

Created in NX7.5.2

Deprecated in NX10.0.0. Use CAE.Mesh3dHexBuilder .

Member Function Documentation

unsafe NXOpen.CAE.ManualSweepBetweenListItemSelection NXOpen.CAE.ManualSweepBetweenSelection.CreateNewListItem ( NXOpen.CAE.CAEEdge  tMasterEdge,
NXOpen.CAE.CAEEdge  tTargetEdge,
bool  fFlipDirection 
)
inline

The list item

Created in NX7.5.2

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
tMasterEdgeThe master edge
tTargetEdgeThe target edge
fFlipDirectionflip direction
Returns

Property Documentation

unsafe NXOpen.CAE.ManualSweepBetweenListItemSelectionList NXOpen.CAE.ManualSweepBetweenSelection.LoopList
get

Returns the loop list

Created in NX7.5.2

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectCAEFace NXOpen.CAE.ManualSweepBetweenSelection.MasterFace
get

Returns the master face

Created in NX7.5.2

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectCAEFace NXOpen.CAE.ManualSweepBetweenSelection.TargetFace
get

Returns the target face

Created in NX7.5.2

License requirements: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.SelectCAEFaceList NXOpen.CAE.ManualSweepBetweenSelection.WallFaceSelection
get

Returns the Wall face selection

Created in NX8.5.0

License requirements: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.